Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 602632 (CVE-2016-9921) - <app-emulation/qemu-2.8.0: display: cirrus_vga: a divide by zero in cirrus_do_copy (CVE-2016-9921)
Summary: <app-emulation/qemu-2.8.0: display: cirrus_vga: a divide by zero in cirrus_do...
Status: RESOLVED FIXED
Alias: CVE-2016-9921
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://lists.gnu.org/archive/html/qe...
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: CVE-2016-9907 604010
Blocks:
  Show dependency tree
 
Reported: 2016-12-14 10:54 UTC by Agostino Sarubbo
Modified: 2017-01-23 03:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-12-14 10:54:47 UTC
From ${URL} :

Quick emulator(Qemu) built with the Cirrus CLGD 54xx VGA Emulator support is 
vulnerable to a divide by zero issue. It could occur while copying VGA data 
when cirrus graphics mode was set to be VGA.

A privileged user inside guest could use this flaw to crash the Qemu process 
instance on the host, resulting in DoS.

Upstream patch
--------------
   -> https://lists.gnu.org/archive/html/qemu-devel/2016-12/msg00442.html

Reference:
----------
   -> https://bugzilla.redhat.com/show_bug.cgi?id=1334398



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2016-12-29 19:47:06 UTC
this is in the 2.8.0 release
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-01-01 19:14:26 UTC
Stabilization will be happen as part of bug 601824.
Comment 3 Thomas Deutschmann gentoo-dev Security 2017-01-21 22:37:19 UTC
Added to existing GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-01-23 03:12:07 UTC
This issue was resolved and addressed in
 GLSA 201701-49 at https://security.gentoo.org/glsa/201701-49
by GLSA coordinator Aaron Bauman (b-man).